Bug 133020 (IT_49848) - [RHEL3][IA32E][X86_64]Wrong FPU IP and DP in the SIGFPE signal context
Summary: [RHEL3][IA32E][X86_64]Wrong FPU IP and DP in the SIGFPE signal context
Status: CLOSED ERRATA
Alias: IT_49848
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: ia32e Linux
medium
high
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-09-20 22:04 UTC by Suresh Siddha
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 13:28:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case which fails with SIGSEGV (1.33 KB, text/plain)
2004-09-20 22:06 UTC, Suresh Siddha
no flags Details
Patch adding the missing rex prefix (421 bytes, patch)
2004-09-20 22:11 UTC, Suresh Siddha
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Suresh Siddha 2004-09-20 22:04:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
In synchronous SIGFPE signal context, kernel is setting FPU IP and DP 
as CS:32bitIP and DS:32bitDP instead of 64bit IP and DP with out 
segment selectors. This is because of missing  "rex" prefix in   
save_init_fpu() fxsave

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. Compile and run the attached test case in comment #1
2. It fails with SIGSEGV because of pointer mismatch.
3.
    

Additional info:

Comment 1 Suresh Siddha 2004-09-20 22:06:18 UTC
Created attachment 104040 [details]
Test case which fails with SIGSEGV

Comment 2 Suresh Siddha 2004-09-20 22:11:55 UTC
Created attachment 104041 [details]
Patch adding the missing rex prefix

Comment 4 Jim Paradis 2005-02-16 22:32:30 UTC
Patch ready to submit to U5


Comment 5 Ernie Petrides 2005-02-17 13:49:46 UTC
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.15.EL).


Comment 6 Tim Powers 2005-05-18 13:28:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.